import request, { postBlob, handleImport, getBlob } from '@/utils/request'
export function getFirstPartyCustomerManagementList(params) {
  return request({
    url: `/config/firstPartyCustomerManagement/list?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}
export function exportFirstPartyCustomerManagement(data, name) {
  return postBlob({
    url: '/config/firstPartyCustomerManagement/export',
    data,
    name
  })
}

export function editFirstPartyCustomerManagement(params) {
  return request({
    url: `/config/firstPartyCustomerManagement/edit`,
    method: 'post',
    data: params
  })
}

export function addFirstPartyCustomerManagement(params) {
  return request({
    url: `/config/firstPartyCustomerManagement/add`,
    method: 'post',
    data: params
  })
}

export function getFirstPartyCustomerManagementDetail(params) {
  return request({
    url: `/config/firstPartyCustomerManagement/detail`,
    method: 'post',
    params
  })
}

export function delFirstPartyCustomerManagement(params) {
  return request({
    url: `/config/firstPartyCustomerManagement/del`,
    method: 'post',
    params
  })
}
